Package org.kapott.cryptalgs

## Class ISO9796p2

- java.lang.Object
- - java.security.SignatureSpi
  - - org.kapott.cryptalgs.ISO9796p2

    public class ISO9796p2
    extends java.security.SignatureSpi

### Field Summary

### Fields inherited from class java.security.SignatureSpi

`appRandom`

### Constructor Summary

Constructors
`ISO9796p2()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected java.lang.Object` `engineGetParameter​(java.lang.String parameter)` Deprecated.
`protected void` `engineInitSign​(java.security.PrivateKey privateKey)`
`protected void` `engineInitVerify​(java.security.PublicKey publicKey)`
`protected void` `engineSetParameter​(java.lang.String param1, java.lang.Object value)` Deprecated.
`protected void` `engineSetParameter​(java.security.spec.AlgorithmParameterSpec param1)`
`protected byte[]` `engineSign()`
`protected int` `engineSign​(byte[] output, int offset, int len)`
`protected void` `engineUpdate​(byte b)`
`protected void` `engineUpdate​(byte[] b, int offset, int length)`
`protected boolean` `engineVerify​(byte[] sig)`
`protected java.util.logging.Logger` `getLogger()`

### Methods inherited from class java.security.SignatureSpi

`clone, engineGetParameters, engineInitSign, engineUpdate, engineVerify`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ISO9796p2

    public ISO9796p2()

### Method Detail

#### getLogger

    protected java.util.logging.Logger getLogger()

#### engineGetParameter

    @Deprecated
    protected java.lang.Object engineGetParameter​(java.lang.String parameter)

Deprecated.

Specified by:
  `engineGetParameter` in class `java.security.SignatureSpi`

#### engineInitSign

    protected void engineInitSign​(java.security.PrivateKey privateKey)

Specified by:
  `engineInitSign` in class `java.security.SignatureSpi`

#### engineInitVerify

    protected void engineInitVerify​(java.security.PublicKey publicKey)

Specified by:
  `engineInitVerify` in class `java.security.SignatureSpi`

#### engineSetParameter

    @Deprecated
    protected void engineSetParameter​(java.lang.String param1,
                                      java.lang.Object value)

Deprecated.

Specified by:
  `engineSetParameter` in class `java.security.SignatureSpi`

#### engineSetParameter

    protected void engineSetParameter​(java.security.spec.AlgorithmParameterSpec param1)
                               throws java.security.InvalidAlgorithmParameterException

Overrides:
  `engineSetParameter` in class `java.security.SignatureSpi`
Throws:
  `java.security.InvalidAlgorithmParameterException`

#### engineUpdate

    protected void engineUpdate​(byte b)

Specified by:
  `engineUpdate` in class `java.security.SignatureSpi`

#### engineUpdate

    protected void engineUpdate​(byte[] b,
                                int offset,
                                int length)

Specified by:
  `engineUpdate` in class `java.security.SignatureSpi`

#### engineSign

    protected int engineSign​(byte[] output,
                             int offset,
                             int len)
                      throws java.security.SignatureException

Overrides:
  `engineSign` in class `java.security.SignatureSpi`
Throws:
  `java.security.SignatureException`

#### engineSign

    protected byte[] engineSign()

Specified by:
  `engineSign` in class `java.security.SignatureSpi`

#### engineVerify

    protected boolean engineVerify​(byte[] sig)

Specified by:
  `engineVerify` in class `java.security.SignatureSpi`